Cubase LE Elements 8.0.4 on high Sierra

Hello,

I am running macOS sierra 10.12.6 on my Macbook Pro and I have been sucessfully using my version of Cubase until now, updated from El Capitan a bit over a year ago without issues. But now I am consireding updating to High Sierra because of some other software issues with my computer.
But I would like to run my version of Cubase still… I would upgrade, but I don’t have the money at the moment and I don’t use Cubase that heavily, so I am completely happy with my version. But I would still like it to work…
Does anyone have any experience?

Thanks,
Oskar

UPDATE: I have found an official statement from Steinberg, explaining the compatibility, but I don’t know how to interpret it… Versions form 9.0 up are suported, for others it says “Older products which are not listed are not officially supported and consequently, no further updates are planned.”. So does that mean that older versions just won’t get any updates or that I cannot update my sistem? :confused:

Running Cubase 8 on High Sierra is not officially supported. It will probably still work, but there could be issues caused by the changes made by Apple. Steinberg wont be able to release updates for Cubase 8 to fix them, and they might be unable to help you if you need technical support with this version and OS combination.

You can upgrade from any version of Cubase LE, or Cubase AI, or Cubase Elements, to the latest version:
https://www.steinberg.net/en/shop/buy_product/product/cubase-elements-95.html

If you have Cubase LE or Cubase AI, log into your MySteinberg to check if there are any upgrade offers for you. But I would recommend upgrading to Cubase Elements 9.5 instead if you can afford it. It gives you a lot more freedom and updating to any future version of Elements is cheap ($19), even if you skip versions.

Compared to Cubase 8, Cubase 9.5 offers noticeably improved graphics performance on Mac along with several workflow enhancements.